Download it now!
Bug 130716 - Draw: Add to main menu "Connector options" tool
Summary: Draw: Add to main menu "Connector options" tool
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2020-02-16 17:34 UTC by Roman Kuznetsov
Modified: 2020-02-24 10:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-02-16 17:34:49 UTC
Description:
Add to main menu "Connector options" tool.

It isn't an opportunity to add any connector to a drawing

It's a different dialog

1. Add to drawing any connector
2. Right click on it
3. Select Connector item from context menu
4. It opens Connector dialog

You can't open it from main menu or from any toolbar, it's possibly only from connector context menu.

I suggest add it to Format menu

Steps to Reproduce:
-

Actual Results:
There is no Connector options menu item

Expected Results:
There is Connector options menu item


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Heiko Tietze 2020-02-19 09:17:37 UTC
Yes, it should be under Format after Line.

Code pointers:

sd/uiconfig/sdraw/menubar/menubar.xml
.uno:ConnectorAttributes
Comment 2 Commit Notification 2020-02-24 10:13:59 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8eea26e7c19a58be77343c30fdbcd780a13ac402

tdf#130716 Adding Connector option to Format menu

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.